:: Clear the screen
CLS

:: Define the platform the you wish to save with this cofiguration
set NetBurnerPlatform=MOD5270

:: Saves current directory so it can be restored later
set CD=%CD%

:: Backup the currently nburn system and include directories and the platform directories
xcopy "c:\nburn\system" "c:\nburn\BACKUP\system\" /S /Y
xcopy "c:\nburn\include" "c:\nburn\BACKUP\include\" /S /Y
xcopy "c:\nburn\%NetBurnerPlatform%\include" "c:\nburn\BACKUP\%NetBurnerPlatform%\include\" /S /Y
xcopy "c:\nburn\%NetBurnerPlatform%\system" "c:\nburn\BACKUP\%NetBurnerPlatform%\system\" /S /Y 
copy "%NetBurnerPlatform%\PROPERTIES" "c:\nburn\BACKUP\%NetBurnerPlatform%\PROPERTIES" /Y

:: Remove the currently system and include directories
RD "c:\nburn\system" /S /Q
RD "c:\nburn\include" /S /Q
RD "c:\nburn\%NetBurnerPlatform%\system" /S /Q
RD "c:\nburn\%NetBurnerPlatform%\include" /S /Q

:: Copy the saved system and include directories and the platform directories
xcopy "system" "c:\nburn\system\"  /S /Y 
xcopy "include" "c:\nburn\include\"  /S /Y 
xcopy "%NetBurnerPlatform%\system" "c:\nburn\%NetBurnerPlatform%\system\"  /S /Y 
xcopy "%NetBurnerPlatform%\include" "c:\nburn\%NetBurnerPlatform%\include\"  /S /Y 

:: Copy the saved platform PROPERTY file and the FatFile.a lib
copy "lib\FatFile.a" "c:\nburn\lib\FatFile.a" /Y
copy "%NetBurnerPlatform%\PROPERTIES" "c:\nburn\%NetBurnerPlatform%\PROPERTIES" /Y

@echo off
:: Rebuild nburn system release and debug libraries
:MAKE_IT
cd c:\nburn\system
echo.
echo. 
echo BUILDING NBURN SYSTEM RELEASE FOR %NetBurnerPlatform%
echo. 
make clean
make 
IF NOT %ERRORLEVEL% == 0 GOTO BROKEN_NBURN_RELEASE
echo.
echo. 
echo BUILDING NBURN SYSTEM DEBUG FOR %NetBurnerPlatform%
echo. 
make debug 
IF NOT %ERRORLEVEL% == 0 GOTO BROKEN_NBURN_DEBUG
echo. 

:: Rebuild nburn platform release and debug libraries
cd c:\nburn\%NetBurnerPlatform%\system
echo. 
echo. 
echo BUILDING PLATFORM SYSTEM RELEASE FOR %NetBurnerPlatform%
echo. 
make clean
make 
IF NOT %ERRORLEVEL% == 0 GOTO BROKEN_PLATFORM_RELEASE
echo.
echo. 
echo BUILDING PLATFORM SYSTEM DEBUG FOR %NetBurnerPlatform%
echo. 
make debug 
IF NOT %ERRORLEVEL% == 0 GOTO BROKEN_PLATFORM_DEBUG
echo. 
echo. 
echo LIBRARIES SUCCESSFULLY REBUILT
echo. 
GOTO DONE

:: If error happened during one of the builds then display to user
:BROKEN_NBURN_RELEASE
echo. 
echo RECEIVED ERROR %ERRORLEVEL% ON %NetBurnerPlatform% IN NBURN SYSTEM RELEASE BUILD
echo. 
GOTO END

:BROKEN_NBURN_DEBUG
echo. 
echo RECEIVED ERROR %ERRORLEVEL% ON %NetBurnerPlatform% IN NBURN SYSTEM DEBUG BUILD
echo. 
GOTO END

:BROKEN_PLATFORM_RELEASE
echo. 
echo RECEIVED ERROR %ERRORLEVEL% ON %NetBurnerPlatform% IN PLATFORM SYSTEM RELEASE BUILD
echo. 
GOTO END

:BROKEN_PLATFORM_DEBUG
echo. 
echo RECEIVED ERROR %ERRORLEVEL% ON %NetBurnerPlatform% IN PLATFORM SYSTEM DEBUG BUILD
echo. 
GOTO END

:END
IF %ERRORLEVEL% == 0 GOTO DONE
:input
:: If error happened during one of the builds then require prompt to continue
echo TYPE 'Y' TO RESUME TEST FOR %PLATFORM% OR TYPE 'N' TO EXIT 
SET /P C=
for %%? in (Y N) do if "%C%"=="%%?" set CH=%%?
if "%CH%"=="" goto input
if "%CH%"=="Y" goto MAKE_IT
:DONE
:: Restore directory
cd %CD%


